package main

type YamlDef_PoweroffConfig struct {
	Listen       YamlDef_Listen `yaml:"listen"`
	Token        YamlDef_Token  `yaml:"token"`
	PoweroffLock bool           `yaml:"poweroff_lock"`
}

type YamlDef_Listen struct {
	SockFile YamlDef_ListenSockfile `yaml:"sockfile"`
	TCP      YamlDef_ListenTCP      `yaml:"tcp"`
}

type YamlDef_ListenSockfile struct {
	Enable   bool   `yaml:"enable"`
	Filepath string `yaml:"filepath"`
}

type YamlDef_ListenTCP struct {
	Enable bool   `yaml:"enable"`
	Listen string `yaml:"listen"`
}

type YamlDef_Token struct {
	JwtKey string `yaml:"jwtkey"`
}
