package main

const Html_Home = `
<!DOCTYPE html>
<html lang="en">
	<head>
		<title>poweroffd</title>
	</head>
	<body>
		<h1>poweroffd</h1>
		<h3>GET /api/poweroff.satori?token=[Your JWT Token] to shutdown.</h3>
		<h3>GET /jwt-tool/ to generate test token.</h3>
	</body>
</html>
`

const Html_jwtTool = `
<!DOCTYPE html>
<html lang="en">
	<head>
		<title>poweroffd jwt Generate Tool</title>
	</head>
	<body>
		<h1>poweroffd jwt Generate Tool</h1>
		<form action="/api/jwt-tool.satori" target="_blank" method="post">
			<label>jwt Key:</label>
			<input name="jwtkey" type="text" />
			<label>Caller:</label>
			<input name="caller" type="text" />
			<label>Message:</label>
			<input name="msg" type="text" />
			<input type="submit" />
		</form>
	</body>
</html>
`

const Html_jwtToolFail = `
<!DOCTYPE html>
<html lang="en">
	<head>
		<title>poweroffd jwt Generate Tool Result</title>
	</head>
	<body>
		<h1>poweroffd jwt Generate Tool</h1>
		<h3>Error</h3>
		<p>%s</p>
	</body>
</html>
`

const Html_jwtToolResult = `
<!DOCTYPE html>
<html lang="en">
	<head>
		<title>poweroffd jwt Generate Tool Result</title>
	</head>
	<body>
		<h1>poweroffd jwt Generate Tool</h1>
		<ul>
			<li><b>Token:</b>{{.token}}</li>
			<li>
				<b>Directly Poweroff Link:</b>
				<a href="/api/poweroff.satori?token={{.token}}"> Click Here</a>
			</li>
			<li><b>Expire:</b>{{.expire}}</li>
		</ul>
	</body>
</html>
`
